# -*- coding: utf-8 -*-
"""
    demeter database
    name:level.py 等级表
"""
from .__load__ import *

class Level(Model):
	__table__ = 'level'
	__comment__ = '等级设置表'
	id = Fields(type='int', primaryKey=True, autoIncrement=True, comment='ID')
	name = Fields(type='varchar(200)', comment='等级名称')
	score_id = Fields(type='int', comment='积分id')
	rule = Fields(type='varchar(800)', comment='等级规则公式')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')