# -*- coding: utf-8 -*-
"""
    demeter database
    name:record.py 统计记录表，暂时用数据库
"""
from .__load__ import *

class Record(Model):
	__table__ = 'record'
	__comment__ = '记录点表'
	id = Fields(type='int', primaryKey=True, autoIncrement=True, comment='ID')
	name = Fields(type='varchar(200)', comment='操作名')
	record_type_id = Fields(type='int', comment='记录类型')
	uid = Fields(type='int', comment='用户id')
	ua = Fields(type='varchar(800)', comment='用户的一些常用信息，后续再加字段')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')