# -*- coding: utf-8 -*-
"""
    demeter database
    name:score.py 积分表
"""
from .__load__ import *

class Score_rule(Model):
	__table__ = 'score_rule'
	__comment__ = '积分规则表'
	id = Fields(type='int', primaryKey=True, autoIncrement=True, comment='ID')
	score_id = Fields(type='int', comment='积分id')
	record_type_id = Fields(type='int', comment='记录点类型id')
	uid = Fields(type='varchar(200)', comment='用户id，特殊积分')
	rule = Fields(type='varchar(800)', comment='积分规则公式')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')